petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMShellSetCreateFieldDecomposition

Set the routine used to create a decomposition of fields for the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateFieldDecomposition(DM dm, PetscErrorCode (*decomp)(DM,PetscInt*,char***, IS**,DM**))

Logically Collective on DM Many br

Input Arguments Many br

| dm | - the shell DM Many br
| decomp | - the routine to create the decomposition Many br

Many br

### See Also

DMCreateFieldDecomposition(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages